For the complete documentation index, see llms.txt. This page is also available as Markdown.

TellerTranValidate

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getTellerTranValidate

post

Retrieve TellerTranValidate parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getTellerTranValidate
POST /nexum/627/2022.01/parameter/getTellerTranValidate HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 135

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "TellerTranValidate": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getTellerTranValidate"
}

getTellerTranValidateSelectFields

post

Retrieve TellerTranValidate parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getTellerTranValidateSelectFields
POST /nexum/627/2022.01/parameter/getTellerTranValidateSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 230

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "TellerTranValidateFields": {
      "TableDepth": true,
      "At": [
        1
      ],
      "HelpCode": [
        1
      ]
    }
  }
}
200

Successful operation.

{
  "TellerTranValidate": {
    "At": [
      {
        "EntryId": 1,
        "At": false
      }
    ],
    "HelpCode": [
      {
        "EntryId": 1,
        "HelpCode": 12202
      }
    ],
    "TableDepth": 279
  },
  "MessageId": "getTellerTranValidateSelectFields"
}

updateTellerTranValidateByID

post

Update TellerTranValidate parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/updateTellerTranValidateByID
POST /nexum/627/2022.01/parameter/updateTellerTranValidateByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 212

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "TellerTranValidateUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateTellerTranValidateByID"
}

Last updated

Was this helpful?